## Tcl8.5.14/Tk8.5.14 Documentation > TkCmd > ttk_label

### Tcl/Tk Applications | Tcl Commands | Tk Commands | Tcl Library | Tk Library

  NAME
    ttk::label - Display a text string and/or image
  SYNOPSIS
  DESCRIPTION
  STANDARD OPTIONS
    -class, undefined, undefined
    -compound, compound, Compound
    -cursor, cursor, Cursor
    -image, image, Image
    -style, style, Style
    -takefocus, takeFocus, TakeFocus
    -text, text, Text
    -textvariable, textVariable, Variable
    -underline, underline, Underline
    -width, width, Width
  WIDGET-SPECIFIC OPTIONS
    -anchor, anchor, Anchor
    -background, frameColor, FrameColor
    -font, font, Font
    -foreground, textColor, TextColor
    -justify, justify, Justify
    -padding, padding, Padding
    -relief, relief, Relief
    -text, text, Text
    -wraplength, wrapLength, WrapLength
  WIDGET COMMAND
  SEE ALSO

### NAME

ttk::label - Display a text string and/or image

### SYNOPSIS

ttk::label pathName ?options?

### DESCRIPTION

A ttk::label widget displays a textual label and/or image. The label may be linked to a Tcl variable to automatically change the displayed text.

### STANDARD OPTIONS

-class, undefined, undefined
-compound, compound, Compound
-cursor, cursor, Cursor
-image, image, Image
-style, style, Style
-takefocus, takeFocus, TakeFocus
-text, text, Text
-textvariable, textVariable, Variable
-underline, underline, Underline
-width, width, Width

### WIDGET-SPECIFIC OPTIONS

Command-Line Name: -anchor
Database Name: anchor
Database Class: Anchor
  Specifies how the information in the widget is positioned relative to the inner margins. Legal values are n, ne, e, se, s, sw, w, nw, and center. See also -justify.

Command-Line Name: -background
Database Name: frameColor
Database Class: FrameColor
  The widget's background color. If unspecified, the theme default is used.

Command-Line Name: -font
Database Name: font
Database Class: Font
  Font to use for label text.

Command-Line Name: -foreground
Database Name: textColor
Database Class: TextColor
  The widget's foreground color. If unspecified, the theme default is used.

Command-Line Name: -justify
Database Name: justify
Database Class: Justify
  If there are multiple lines of text, specifies how the lines are laid out relative to one another. One of left, center, or right. See also -anchor.

Command-Line Name: -padding
Database Name: padding
Database Class: Padding
  Specifies the amount of extra space to allocate for the widget. The padding is a list of up to four length specifications left top right bottom. If fewer than four elements are specified, bottom defaults to top, right defaults to left, and top defaults to left.

Command-Line Name: -relief
Database Name: relief
Database Class: Relief
  Specifies the 3-D effect desired for the widget border. Valid values are flat, groove, raised, ridge, solid, and sunken.

Command-Line Name: -text
Database Name: text
Database Class: Text
  Specifies a text string to be displayed inside the widget (unless overridden by -textvariable).

Command-Line Name: -wraplength
Database Name: wrapLength
Database Class: WrapLength
  Specifies the maximum line length (in pixels). If this option is less than or equal to zero, then automatic wrapping is not performed; otherwise the text is split into lines such that no line is longer than the specified value.

### WIDGET COMMAND

Supports the standard widget commands configure, cget, identify, instate, and state; see ttk::widget(n).

### SEE ALSO

ttk::widget, label
Copyright © 1995-1997 Roger E. Critchlow Jr. Copyright © 2004 Joe English